//******************************************************************************
//  Copyright (c) 2005-2010 by Jan Van hijfte
//
//  See the included file COPYING.TXT for details about the copyright.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//******************************************************************************




#include "pascalbind.h"

#include <QtCore>
#include <QtGui>
#include <QtNetwork>
#include <QtWebKit>


#include "qobject_hook_c.cpp"
#include "pascalbind.cpp"
#include "flatfuncs.cpp"
#include "qobject_c.cpp"
#include "qcoreevent_c.cpp"
#include "qeventloop_c.cpp"
#include "qcoreapplication_c.cpp"
#include "qtranslator_c.cpp"
#include "qtimer_c.cpp"
#include "qvariant_c.cpp"
#include "qmetaobject_c.cpp"
#include "qabstractitemmodel_c.cpp"
#include "qabstracteventdispatcher_c.cpp"
#include "qmimedata_c.cpp"
#include "qsocketnotifier_c.cpp"
#include "qthread_c.cpp"
#include "qlclthread_c.cpp"
#include "qchar_c.cpp"
#include "qsize_c.cpp"
#include "qstring_c.cpp"
#include "qstringlist_c.cpp"
#include "qrect_c.cpp"
#include "qdatetime_c.cpp"
#include "qbytearray_c.cpp"
#include "qlocale_c.cpp"
#include "qiodevice_c.cpp"
#include "qprocess_c.cpp"
#include "qfile_c.cpp"
#include "qfileinfo_c.cpp"
#include "qdir_c.cpp"
#include "qurl_c.cpp"
#include "qfilesystemwatcher_c.cpp"
#include "qapplication_c.cpp"
#include "qwhatsthis_c.cpp"
#include "qpalette_c.cpp"
#include "qkeysequence_c.cpp"
#include "qwidget_c.cpp"
#include "qlayoutitem_c.cpp"
#include "qlayout_c.cpp"
#include "qboxlayout_c.cpp"
#include "qstackedlayout_c.cpp"
#include "qaction_c.cpp"
#include "qactiongroup_c.cpp"
#include "qevent_c.cpp"
#include "qlclmessageevent_c.cpp"
#include "qcursor_c.cpp"
#include "qgridlayout_c.cpp"
#include "qclipboard_c.cpp"
#include "qdesktopwidget_c.cpp"
#include "qtooltip_c.cpp"
#include "qx11info_x11_c.cpp"
#include "qdrag_c.cpp"
#include "qshortcut_c.cpp"
#include "qgesture_c.cpp"
#include "qgesturerecognizer_c.cpp"
#include "qcolor_c.cpp"
#include "qmatrix_c.cpp"
#include "qbrush_c.cpp"
#include "qpen_c.cpp"
#include "qpolygon_c.cpp"
#include "qpainter_c.cpp"
#include "qpaintengine_c.cpp"
#include "qpaintdevice_c.cpp"
#include "qregion_c.cpp"
#include "qprinter_c.cpp"
#include "qpainterpath_c.cpp"
#include "qtransform_c.cpp"
#include "qprinterinfo_c.cpp"
#include "qfont_c.cpp"
#include "qfontdatabase_c.cpp"
#include "qtextcursor_c.cpp"
#include "qtextoption_c.cpp"
#include "qfontmetrics_c.cpp"
#include "qfontinfo_c.cpp"
#include "qtextdocument_c.cpp"
#include "qabstracttextdocumentlayout_c.cpp"
#include "qtextlayout_c.cpp"
#include "qtextobject_c.cpp"
#include "qicon_c.cpp"
#include "qpixmap_c.cpp"
#include "qimage_c.cpp"
#include "qbitmap_c.cpp"
#include "qpicture_c.cpp"
#include "qimageiohandler_c.cpp"
#include "qimagereader_c.cpp"
#include "qimagewriter_c.cpp"
#include "qvalidator_c.cpp"
#include "qframe_c.cpp"
#include "qstackedwidget_c.cpp"
#include "qabstractscrollarea_c.cpp"
#include "qlclabstractscrollarea_c.cpp"
#include "qabstractslider_c.cpp"
#include "qscrollbar_c.cpp"
#include "qmenu_c.cpp"
#include "qmenubar_c.cpp"
#include "qbuttongroup_c.cpp"
#include "qabstractbutton_c.cpp"
#include "qpushbutton_c.cpp"
#include "qradiobutton_c.cpp"
#include "qlineedit_c.cpp"
#include "qplaintextedit_c.cpp"
#include "qtextedit_c.cpp"
#include "qtabwidget_c.cpp"
#include "qlcltabwidget_c.cpp"
#include "qmainwindow_c.cpp"
#include "qtoolbar_c.cpp"
#include "qsizegrip_c.cpp"
#include "qlcdnumber_c.cpp"
#include "qabstractspinbox_c.cpp"
#include "qlclabstractspinbox_c.cpp"
#include "qspinbox_c.cpp"
#include "qsplitter_c.cpp"
#include "qcombobox_c.cpp"
#include "qcheckbox_c.cpp"
#include "qslider_c.cpp"
#include "qtextbrowser_c.cpp"
#include "qlabel_c.cpp"
#include "qgroupbox_c.cpp"
#include "qdockwidget_c.cpp"
#include "qtabbar_c.cpp"
#include "qprogressbar_c.cpp"
#include "qstatusbar_c.cpp"
#include "qtoolbox_c.cpp"
#include "qtoolbutton_c.cpp"
#include "qscrollarea_c.cpp"
#include "qmdiarea_c.cpp"
#include "qmdisubwindow_c.cpp"
#include "qcalendarwidget_c.cpp"
#include "qrubberband_c.cpp"
#include "qprintpreviewwidget_c.cpp"
#include "qabstractitemview_c.cpp"
#include "qlistview_c.cpp"
#include "qitemselectionmodel_c.cpp"
#include "qlistwidget_c.cpp"
#include "qtreeview_c.cpp"
#include "qtreewidget_c.cpp"
#include "qheaderview_c.cpp"
#include "qstandarditemmodel_c.cpp"
#include "qabstractitemdelegate_c.cpp"
#include "qitemdelegate_c.cpp"
#include "qlclitemdelegate_c.cpp"
#include "qtableview_c.cpp"
#include "qtablewidget_c.cpp"
#include "qitemeditorfactory_c.cpp"
#include "qstyleditemdelegate_c.cpp"
#include "qdialog_c.cpp"
#include "qfontdialog_c.cpp"
#include "qmessagebox_c.cpp"
#include "qinputdialog_c.cpp"
#include "qcolordialog_c.cpp"
#include "qfiledialog_c.cpp"
#include "qprogressdialog_c.cpp"
#include "qabstractprintdialog_c.cpp"
#include "qprintdialog_c.cpp"
#include "qpagesetupdialog_c.cpp"
#include "qprintpreviewdialog_c.cpp"
#include "qsystemtrayicon_c.cpp"
#include "qdesktopservices_c.cpp"
#include "qstyle_c.cpp"
#include "qstyleoption_c.cpp"
#include "qstylefactory_c.cpp"
#include "qgraphicsscene_c.cpp"
#include "qgraphicsview_c.cpp"
#include "qsslcipher_c.cpp"
#include "qsslkey_c.cpp"
#include "qsslerror_c.cpp"
#include "qabstractsocket_c.cpp"
#include "qudpsocket_c.cpp"
#include "qtcpsocket_c.cpp"
#include "qtcpserver_c.cpp"
#include "qsslconfiguration_c.cpp"
#include "qsslsocket_c.cpp"
#include "qnetworkaccessmanager_c.cpp"
#include "qnetworkrequest_c.cpp"
#include "qnetworkreply_c.cpp"
#include "qnetworkcookie_c.cpp"
#include "qlclnetworkcookie_c.cpp"
#include "qnetworkproxy_c.cpp"
#include "qauthenticator_c.cpp"
#include "qwebframe_c.cpp"
#include "qwebsecurityorigin_c.cpp"
#include "qwebdatabase_c.cpp"
#include "qwebhistory_c.cpp"
#include "qwebhistoryinterface_c.cpp"
#include "qwebpage_c.cpp"
#include "qlclwebpage_c.cpp"
#include "qwebsettings_c.cpp"
#include "qwebview_c.cpp"
#include "qlclwebview_c.cpp"
#include "qcoreapplication_hook_c.cpp"
#include "qtimer_hook_c.cpp"
#include "qabstractitemmodel_hook_c.cpp"
#include "qsocketnotifier_hook_c.cpp"
#include "qthread_hook_c.cpp"
#include "qiodevice_hook_c.cpp"
#include "qprocess_hook_c.cpp"
#include "qfilesystemwatcher_hook_c.cpp"
#include "qapplication_hook_c.cpp"
#include "qwidget_hook_c.cpp"
#include "qlayout_hook_c.cpp"
#include "qstackedlayout_hook_c.cpp"
#include "qaction_hook_c.cpp"
#include "qactiongroup_hook_c.cpp"
#include "qclipboard_hook_c.cpp"
#include "qdesktopwidget_hook_c.cpp"
#include "qdrag_hook_c.cpp"
#include "qshortcut_hook_c.cpp"
#include "qabstracttextdocumentlayout_hook_c.cpp"
#include "qframe_hook_c.cpp"
#include "qstackedwidget_hook_c.cpp"
#include "qabstractscrollarea_hook_c.cpp"
#include "qabstractslider_hook_c.cpp"
#include "qscrollbar_hook_c.cpp"
#include "qmenu_hook_c.cpp"
#include "qmenubar_hook_c.cpp"
#include "qbuttongroup_hook_c.cpp"
#include "qabstractbutton_hook_c.cpp"
#include "qpushbutton_hook_c.cpp"
#include "qlineedit_hook_c.cpp"
#include "qplaintextedit_hook_c.cpp"
#include "qtextedit_hook_c.cpp"
#include "qtabwidget_hook_c.cpp"
#include "qmainwindow_hook_c.cpp"
#include "qtoolbar_hook_c.cpp"
#include "qlcdnumber_hook_c.cpp"
#include "qabstractspinbox_hook_c.cpp"
#include "qspinbox_hook_c.cpp"
#include "qsplitter_hook_c.cpp"
#include "qcombobox_hook_c.cpp"
#include "qcheckbox_hook_c.cpp"
#include "qslider_hook_c.cpp"
#include "qtextbrowser_hook_c.cpp"
#include "qlabel_hook_c.cpp"
#include "qgroupbox_hook_c.cpp"
#include "qdockwidget_hook_c.cpp"
#include "qtabbar_hook_c.cpp"
#include "qprogressbar_hook_c.cpp"
#include "qstatusbar_hook_c.cpp"
#include "qtoolbox_hook_c.cpp"
#include "qtoolbutton_hook_c.cpp"
#include "qmdiarea_hook_c.cpp"
#include "qmdisubwindow_hook_c.cpp"
#include "qcalendarwidget_hook_c.cpp"
#include "qprintpreviewwidget_hook_c.cpp"
#include "qabstractitemview_hook_c.cpp"
#include "qlistview_hook_c.cpp"
#include "qitemselectionmodel_hook_c.cpp"
#include "qlistwidget_hook_c.cpp"
#include "qtreeview_hook_c.cpp"
#include "qtreewidget_hook_c.cpp"
#include "qheaderview_hook_c.cpp"
#include "qstandarditemmodel_hook_c.cpp"
#include "qabstractitemdelegate_hook_c.cpp"
#include "qtableview_hook_c.cpp"
#include "qtablewidget_hook_c.cpp"
#include "qdialog_hook_c.cpp"
#include "qfiledialog_hook_c.cpp"
#include "qprogressdialog_hook_c.cpp"
#include "qabstractprintdialog_hook_c.cpp"
#include "qprintdialog_hook_c.cpp"
#include "qprintpreviewdialog_hook_c.cpp"
#include "qsystemtrayicon_hook_c.cpp"
#include "qgraphicsscene_hook_c.cpp"
#include "qabstractsocket_hook_c.cpp"
#include "qudpsocket_hook_c.cpp"
#include "qtcpsocket_hook_c.cpp"
#include "qtcpserver_hook_c.cpp"
#include "qnetworkaccessmanager_hook_c.cpp"
#include "qnetworkreply_hook_c.cpp"
#include "qwebframe_hook_c.cpp"
#include "qwebsecurityorigin_hook_c.cpp"
#include "qwebdatabase_hook_c.cpp"
#include "qwebhistory_hook_c.cpp"
#include "qwebhistoryinterface_hook_c.cpp"
#include "qwebpage_hook_c.cpp"
#include "qwebsettings_hook_c.cpp"
#include "qwebview_hook_c.cpp"
